# -- Project information -----------------------------------------------------
project = 'GÉANT Service Orchestrator'
copyright = '2023, GÉANT Vereniging'
author = 'GÉANT Orchestration and Automation Team'

# -- General configuration ---------------------------------------------------
extensions = ['sphinx_rtd_theme', 'myst_parser']

templates_path = ['templates']
exclude_patterns = ['build', 'Thumbs.db', '.DS_Store', 'venv', 'vale']
source_suffix = {
    '.md': 'markdown'
}

# -- Options for Markdown support --------------------------------------------
myst_enable_extensions = ['attrs_block', 'deflist', 'replacements', 'smartquotes', 'strikethrough']
suppress_warnings = ['myst.strikethrough']

# -- Options for HTML output -------------------------------------------------
html_theme = 'sphinx_rtd_theme'
html_static_path = ['static']
html_theme_options = {
    'style_nav_header_background': 'rgb(0 63 95)',
}
html_css_files = ['custom.css']
html_logo = 'static/geant_logo_white.svg'
